CIF_DDLM_DIC_CHECK(1)

NAME
cif_ddlm_dic_check - check DDLm dictionaries against a set of best practice rules.

SYNOPSIS
cif_ddlm_dic_check --options cif_core.dic

DESCRIPTION
Check DDLm dictionaries against a set of best practice rules.

OPTIONS
--report-redundant-range-limits
                  Report explicit range limits that match implicit
                  range limits imposed by the content type.

--no-report-redundant-range-limits
                  Do not report explicit range limits that match implicit
                  range limits imposed by the content type. Default.

--check-references-in-descriptions
                  Check if the data names referenced in the free-text
                  descriptions and usage examples of data items and
                  categories are defined in the dictionary. This check
                  uses ad hoc code to recognise data names and therefore
                  might produce false-positive validation messages.

--no-check-references-in-descriptions
                  Do not check if the data names referenced in the
                  free-text descriptions and usage examples of data
                  items and categories are defined in the dictionary.
                  Default.

-I, --add-ddlm-import-path './ddlm/cod/'
                  Prepend an additional directory to the dictionary
                  import path. The dictionary import path specifies
                  a list of directories in which to look for files
                  that are imported by DDLm-compliant CIF dictionaries.
                  Directories provided using this option are assigned
                  the highest priority and are searched prior to
                  the directories listed in the COD_TOOLS_DDLM_IMPORT_PATH
                  environment variable or the default import path
                  (directory of the importing dictionary).

--clear-ddlm-import-path
                  Remove all directories from the dictionary import path
                  that were added using the --add-ddlm-import-path option.
                  Neither COD_TOOLS_DDLM_IMPORT_PATH environment variable
                  nor the default import path is affected by this option.

--help, --usage
                  Output a short usage message (this message) and exit.

--version
                  Output version information and exit.

ENVIRONMENT
COD_TOOLS_DDLM_IMPORT_PATH
                  A list of directories in which to look for the
                  DDLm-compliant CIF dictionaries that are imported
                  by other DDLm-compliant CIF dictionaries. List
                  elements are separated by the colon symbol (':').
                  Directories listed in COD_TOOLS_DDLM_IMPORT_PATH
                  have a lower priority than those provided using
                  the command line option (--add-dictionary-import-path),
                  but higher than the default import path directory
                  (directory of the importing dictionary).

REPORTING BUGS
Report cif_ddlm_dic_check bugs using e-mail: cod-bugs@ibt.lt